> ## Documentation Index
> Fetch the complete documentation index at: https://docs.antigen.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a run



## OpenAPI

````yaml /api/openapi.yaml get /runs/{id}
openapi: 3.1.0
info:
  title: Antigen API
  version: v1
  description: >-
    Use the Antigen API to manage targets, runs, vulnerabilities, evidence,
    reports, hooks, assets, and integrations.
servers:
  - url: https://api.antigen.sh/v1
    description: Production
security:
  - ApiKeyAuth: []
  - BearerAuth: []
  - SessionCookie: []
tags:
  - name: Authentication
  - name: API keys
  - name: Models
  - name: Agents
  - name: Targets
  - name: Runs
  - name: Vulnerabilities
  - name: Evidence
  - name: Reports
  - name: Hooks
  - name: Asset Map
  - name: Integrations
paths:
  /runs/{id}:
    get:
      tags:
        - Runs
      summary: Get a run
      operationId: getRun
      parameters:
        - $ref: '#/components/parameters/RunId'
      responses:
        '200':
          description: Run details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunDetail'
components:
  parameters:
    RunId:
      name: id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    RunDetail:
      allOf:
        - $ref: '#/components/schemas/RunSummary'
        - type: object
          required:
            - egress
            - vulnerability_count
          properties:
            egress:
              type: string
              enum:
                - residential
                - static
                - direct
            vulnerability_count:
              type: object
              required:
                - critical
                - high
                - medium
                - low
              properties:
                critical:
                  type: number
                high:
                  type: number
                medium:
                  type: number
                low:
                  type: number
    RunSummary:
      type: object
      required:
        - id
        - status
        - agent
        - model
        - targets
        - tags
        - created_at
        - stopped_at
        - completed_at
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - creating
            - running
            - stopped
            - completed
            - failed
        agent:
          type: string
        model:
          type: string
        targets:
          type: array
          items:
            type: string
        tags:
          type: array
          items:
            type: string
        created_at:
          $ref: '#/components/schemas/Timestamp'
        stopped_at:
          type:
            - string
            - 'null'
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
    Timestamp:
      type: string
      format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key from the Antigen dashboard.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: access token
      description: Better Auth access token.
    SessionCookie:
      type: apiKey
      in: cookie
      name: better-auth.session_token
      description: Better Auth browser session cookie.

````